
// p("depot.util.js loading");

//----------------------------                   //
function depotBal() {                            // Balance of the depot, i.e. eth.getBalance(depot.address)
  if ( depot != null ) {
     p("eth.getBalance(" + depot.address + ") is " + web3.fromWei(eth.getBalance(depot.address),"ether") + " ether" );
  }
}

//----------------------------                   // Whether the depot is free or in use.
function depotUsed() {
  p("depot.used()")
  if ( depot != null ) {
     if ( depot.used() ){
        p("depot is occupied");
     } else {
        p("depot is free");
     }
  }
}

//----------------------------                   // Send (internal) from f (local) to t (local)
function depotSendi(f,t,a,unit) {
  if ( depot != null && gasDefined() && eth.getCode(depot.address) != "0x" ) {
       p("ts = depot.send.sendTransaction(eth.accounts[t],{from:eth.accounts[f], value: web3.toWei(a,unit), gas: '4700000', gasPrice: web3.toWei(gasPriceToPay,'gwei')})");
          ts = depot.send.sendTransaction(eth.accounts[t],{from:eth.accounts[f], value: web3.toWei(a,unit), gas: '4700000', gasPrice: web3.toWei(gasPriceToPay,'gwei')});
       p("Transaction sent. tx: " + ts);
  }
}

//----------------------------                   // Send from f (local) to toaddr (an address)
function depotSend(f,toaddr,a,unit) {
  if ( depot != null && gasDefined() && eth.getCode(depot.address) != "0x" ) {
       p("ts = depot.send.sendTransaction(toaddr,{from:eth.accounts[f], value: web3.toWei(a,unit), gas: '4700000', gasPrice: web3.toWei(gasPriceToPay,'gwei')})");
          ts = depot.send.sendTransaction(toaddr,{from:eth.accounts[f], value: web3.toWei(a,unit), gas: '4700000', gasPrice: web3.toWei(gasPriceToPay,'gwei')});
       p("Transaction sent. tx: " + ts);
  }
}


//----------------------------                   // Conclude the payment
function depotPay() {
  if ( depot != null && gasDefined() && eth.getCode(depot.address) != "0x" ) {
       p("ts = depot.pay.sendTransaction({from:eth.accounts[0], gas: '4700000', gasPrice: web3.toWei(gasPriceToPay,'gwei')})");
          ts = depot.pay.sendTransaction({from:eth.accounts[0], gas: '4700000', gasPrice: web3.toWei(gasPriceToPay,'gwei')})
       p("Transaction sent. tx: " + ts);
  }
}

//----------------------------                   // Revert the payment
function depotUnpay() {
  if ( depot != null && gasDefined() && eth.getCode(depot.address) != "0x" ) {
       p("ts = depot.unpay.sendTransaction({from:eth.accounts[0], gas: '4700000', gasPrice: web3.toWei(gasPriceToPay,'gwei')})");
          ts = depot.unpay.sendTransaction({from:eth.accounts[0], gas: '4700000', gasPrice: web3.toWei(gasPriceToPay,'gwei')})
       p("Transaction sent. tx: " + ts);
  }
}

//----------------------------                   // Kill the depot smart contract
function depotKill() {
  if ( depot != null && gasDefined() ) {
       p("ts = depot.kill.sendTransaction({from:eth.accounts[0], gas: '4700000', gasPrice: web3.toWei(gasPriceToPay,'gwei')})");
          ts = depot.kill.sendTransaction({from:eth.accounts[0], gas: '4700000', gasPrice: web3.toWei(gasPriceToPay,'gwei')})
       p("Transaction sent. tx: " + ts);
  }
}
