pragma solidity  >=0.4.9 <0.7; // ^0.5.7;

contract depot {
    address theJudge;
    address theReceiver;
    address theSender;
    // string constant bla = "abc"; 
    
  /* Initializes contract with initial supply tokens to the creator of the contract */
    constructor() public {
         theJudge = msg.sender;
         theReceiver = address(0);
    }
    
   event sent(address from, address to, uint amount_ether);
   event rejected(address from, address to, uint amount_ether);
   event payed(address from, address to, uint amount_ether);
   event unpayed(address from, address to, uint amount_ether);
   event killed(address who);

    function used() public view returns (bool){
       return theReceiver != address(0);
    }

    function pay() public {
       if ( theReceiver != address(0)  &&  msg.sender == theJudge ) {
          uint x = address(this).balance;
          address f = theSender;
          address t = theReceiver; 
          t.transfer(x);
          theReceiver = address(0);
          emit payed(f,t,x);
       }
    }

    function unpay() public {
       if ( theReceiver != address(0)  &&  msg.sender == theJudge ) {
          uint x = address(this).balance;
          address f = theSender;
          address t = theReceiver;
          f.transfer(x);
          theReceiver = address(0);
          emit unpayed(f,t,x);
       }
    }

    function send(address _to) payable public {
       if ( theReceiver != address(0) ) {
           uint x = msg.value;
           address f = msg.sender;
           address t = _to;
           f.transfer(x);
           emit rejected(f,t,x);
       } else {
           uint x = msg.value;
           address f = msg.sender;
           address t = _to;
           theReceiver = t;
           theSender = f;
           emit sent(f,t,x);
       }
    }

   function kill() public { 
       if (msg.sender == theJudge) {
           if ( address(this).balance != 0 ) {
              uint x = address(this).balance;
              address f = theSender;
              address t = theReceiver; 
              f.transfer(x);
              emit unpayed(f,t,x);
           }
           emit killed(address(this));
           selfdestruct(msg.sender);
       }
   }
}
